varying vec3 normal;

void main(void)
{
    vec4 color;
    float intensity;
    vec3 n = normal;
    n = normalize(n);
    intensity = dot(vec3(normalize(gl_LightSource[1].position)),n);

    if( intensity > 0.94 )
        color = vec4( 1, 1, 1, 1);
    else if( intensity > .5 )
        color = vec4( .75, .75, .75, 1);
    else if( intensity > .2 )
        color = vec4( .3, .3, .3, 1);
    else 
        color = vec4( 0, 0, 0, 1);

    color = color * gl_FrontMaterial.diffuse;

    gl_FragColor = color;

}
